Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 584882 - [abrt] crash in exaile-0.3.1.0-1.fc12: playlist.py:785:remove_rows:IndexError: list index out of range
Summary: [abrt] crash in exaile-0.3.1.0-1.fc12: playlist.py:785:remove_rows:IndexError...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:87ad70e1
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-22 16:11 UTC by Khalid El-dehairy
Modified: 2010-12-03 15:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 15:34:57 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (664 bytes, text/plain)
2010-04-22 16:11 UTC, Khalid El-dehairy
no flags Details

Description Khalid El-dehairy 2010-04-22 16:11:54 UTC
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui /home/kdehairy/toobar_animation.ogg
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.32.11-99.fc12.i686.PAE
package: exaile-0.3.1.0-1.fc12
reason: playlist.py:785:remove_rows:IndexError: list index out of range
release: Fedora release 12 (Constantine)

backtrace
-----
playlist.py:785:remove_rows:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/playlist.py", line 580, in key_pressed
    self.remove_selected_tracks()
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/playlist.py", line 776, in remove_selected_tracks
    self.remove_rows(paths)
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/playlist.py", line 785, in remove_rows
    curstart = paths[0][0]
IndexError: list index out of range

Local variables in innermost frame:
ranges: []
paths: []
playlist: True
self: <Playlist object at 0xa3ebcd4 (xlgui+playlist+Playlist at 0xa2dcb30)>

How to reproduce
-----
1. double clicked a .ogg file (created with istanbul) in nautilus
2. removed the file while playing
3. right clicked on the taskbar icon > quit

Comment 1 Khalid El-dehairy 2010-04-22 16:11:57 UTC
Created attachment 408368 [details]
File: backtrace

Comment 2 Fedora Update System 2010-06-29 16:34:12 UTC
exaile-0.3.2.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc12

Comment 3 Fedora Update System 2010-06-30 15:14:38 UTC
exaile-0.3.2.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc12

Comment 4 Mark 2010-07-16 17:24:30 UTC
Package: exaile-0.3.1.1-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
went to play a radio station playlist

Comment 5 Bug Zapper 2010-11-03 16:34:19 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-03 15:34:57 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.